<?php
/*
 * Include Global Settings, Symbols and Functions
 */
require_once("config.php");
require_once("symbols.php");
require_once("functions.php");

/**
 * Array of the Keys of the list of Maps defined in symbols.php
 */
$mapkeys = array_keys($maps);
/**
 * Name of the Map to be used
 */
$mapname = $mapkeys[0];

/*
 * Check if there is a mapname passed in the Query String
 * If so, use this name as $mapname
 */
if(isset($_GET["map"])){
  $mapname = $_GET["map"];
}

/*
 * Check for Elementname and Elementstate passed in Query String
 * If so, call the Function SetState with this parameters
 */
if(isset($_GET["ele"]))
  if(isset($_GET["val"])){
    $ele = $_GET["ele"];
    $val = $_GET["val"];
    SetState($ele, $val);
}

$mapimg = GenerateMapImage($mapname);

ob_start();
ImagePng($mapimg);
$imageb64 = base64_encode(ob_get_contents());
$imagestring = chunk_split($imageb64, 60, "\n");
ob_end_clean();
ImageDestroy($mapimg);
echo $imagestring;
?>
