<?php
/* Config File for fhem Web Frontend
 * Global Settings are to be defined herein
 */

/**
 * Path to TTF Font to be used
 */
$fontfile = "fonts/arial.ttf";
/**
 * Size of Font to be used
 */
$fontsize = 10;
/**
 * FHEM Command Template
 * The Substring "<cmd>" is to be replaced with the Command String
 * If the Output should be captured, a "> filename" can be appended
 */
/* When Using netcat, uncomment the following two lines. */
$fhemcmdtmpl = "echo '<cmd>' | nc localhost 7072";
$fhemxmllistopt = "-q 5";
/* When you are using the fhem.pl command directly, uncomment the following two lines. */
//$fhemcmdtmpl = "fhem.pl 7072 '<cmd>'";
//$fhemxmllistopt = "";

/**
 * FHEM Command Substring Tag
 * This Substring will be replaced by the Command String in $fhemcmdtmpl
 */
$fhemcmdtag = "<cmd>";
?>
